Subject: Re: Suiqd as service [was: Re: New on sources: cygrunsrv-0.92]
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 17 May 2001 21:23:43 +1000

Gerrit,
    Please keep this on-list.

----- Original Message -----
From: "Gerrit P. Haase" <[email-masked]>

> Robert Collins schrieb am 2001-05-17, 8:44:
>
> > > Maybe it did not fail for you? Have you tried it?
> > > Have you tried to run Squid or Apache as a service?
> >
> > Squid. Yes. Apache, No.
>
> You run squid as a service WITH cygrunsrv?

Not with cygrunsrv, but with the ms one, and with a different wrapper
script. Neither worked terribly well as you'd expect. cygrunsrv should
be a lot better.

> > SCM is the windows NT Service Control Manager. I mean that squid
will be
> > able to install itself as an NT service, without cygrun.
>
> Are there docs somewhere or a howtto.

there will be when it's ready for release. If you're interested in beta
testing, see the cygwin branch of cvs at squid.sourceforge.net

> > Is there anything in the event log? (squid logs to syslog, which on
> > cygwin with NT goes to the event log).
>
> Hmm, yes, it is:
>
>  Win32 Process Id = 0x220 : Cygwin Process Id = 0x220 :
>  starting service `Cygwin squid' failed: execv: 1, Not owner.
>
>  Win32 Process Id = 0x220 : Cygwin Process Id = 0x220 :
>  `Cygwin squid' service stopped.

these messages are cygrun messages. AFAICT Squid was never started.

> Ooops, s.th. with permissions...
>
> I don't understand this.
>
> Why am I 'not owner', cron, inetd, cygipc, all are running as
services,
> no problems at all.
> What am i not owner of?

I'd check the owner and mode of squid.exe.
Rob

Corinna? Any comment?

> gph
>
> --
> =^..^=
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple